Bug 92154

Summary: Autogen.sh doesn't complete so that you can make application
Product: [Retired] Red Hat Linux Reporter: H. Carter <heather_a_carter>
Component: gladeAssignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Jay Turner <jturner>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: richard, srevivo, whanlon
Target Milestone: ---Keywords: MoveUpstream, Triaged
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-05-13 13:05:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description H. Carter 2003-06-03 09:50:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
built glade application and cannot get it to complete the autogen.sh process.  
when i try to use a regular makefile, I run into 
errors for libintl.h ---it doesn't like the __const in that file.

Version-Release number of selected component (if applicable):
build application with glade and can't autogen.sh 

How reproducible:
Always

Steps to Reproduce:
1.build glade app, generate files, do autogen.sh or make simple gtk+ app and 
makefile and try to compile.
2.
3.
    

Actual Results:  get the autogen.sh dies.  the gtk+ app the errors all involve 
libintl.h and the __const definitions in it...

Additional info:
Comment 1 Havoc Pennington 2003-06-03 11:03:18 EDT
As an aside, experts in GTK programming unanimously recommend using Glade with
libglade, rather than using glade to generate code.
Comment 2 william hanlon 2003-07-25 14:00:48 EDT
I have the same problem with the glade packaged with redhat 9. Glade has had
this problem for the last several releases of redhat; it would be nice if a
working version is included in the next release. Here is what I get when I run
autogen.sh provided by glade:

./autogen.sh
**Warning**: I am going to run `configure' with no arguments.
If you wish to pass any to it, please specify them on the
`./autogen.sh' command line.

processing .
deletefiles is 
Creating ./aclocal.m4 ...
Running gettextize...  Ignore non-fatal messages.
Copying file ABOUT-NLS
Copying file config.rpath
Copying file mkinstalldirs
Not copying intl/ directory.
Copying file po/Makefile.in.in
Copying file po/boldquot.sed
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/Makevars.template
Copying file po/quot.sed
Copying file po/remove-potcdate.sin
Copying file po/Rules-quot
Adding an entry to po/ChangeLog (backup is in po/ChangeLog~)
Creating directory m4
Copying file m4/codeset.m4
Copying file m4/gettext.m4
Copying file m4/glibc21.m4
Copying file m4/iconv.m4
Copying file m4/intdiv0.m4
Copying file m4/inttypes.m4
Copying file m4/inttypes_h.m4
Copying file m4/inttypes-pri.m4
Copying file m4/isc-posix.m4
Copying file m4/lcmessage.m4
Copying file m4/lib-ld.m4
Copying file m4/lib-link.m4
Copying file m4/lib-prefix.m4
Copying file m4/progtest.m4
Copying file m4/stdint_h.m4
Copying file m4/uintmax_t.m4
Creating m4/Makefile.am
Creating m4/ChangeLog
Updating Makefile.am (backup is in Makefile.am~)
Updating configure.in (backup is in configure.in~)
Adding an entry to ChangeLog (backup is in ChangeLog~)

Please use AM_GNU_GETTEXT([external]) in order to cause autoconfiguration
to look for an external libintl.

Please create po/Makevars from the template in po/Makevars.template.
You can then remove po/Makevars.template.

Please run 'automake m4/Makefile' to create m4/Makefile.in

Please run 'aclocal -I m4' to regenerate the aclocal.m4 file.
You need aclocal from GNU automake 1.5 (or newer) to do this.
Then run 'autoconf' to regenerate the configure file.

You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

You might also want to copy the convenience header file gettext.h
from the /usr/share/gettext directory into your package.
It is a wrapper around <libintl.h> that implements the configure --disable-nls
option.

Press Return to acknowledge the previous 6 paragraphs.

Making ./aclocal.m4 writable ...
Running aclocal  -I macros ...
Running autoheader...
WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
WARNING: and `config.h.top', to define templates for `config.h.in'
WARNING: is deprecated and discouraged.

WARNING: Using the third argument of `AC_DEFINE' and
WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
WARNING: `acconfig.h':

WARNING:   AC_DEFINE([NEED_MAIN], 1,
WARNING:             [Define if a function `main' is needed.])

WARNING: More sophisticated templates can also be produced, see the
WARNING: documentation.
configure.in:36: error: `po/Makefile.in' is already registered with AC_CONFIG_FILES.
autoconf/status.m4:844: AC_CONFIG_FILES is expanded from...
configure.in:36: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
autoheader: /usr/bin/autom4te failed with exit status: 1
**Error**: autoheader failed.

Here are the versions of the various components used by autogen.sh:
automake (GNU automake) 1.6.3
autoconf (GNU Autoconf) 2.57
gettext (GNU gettext) 0.11.4
GNU m4 1.4.1

Comment 3 Havoc Pennington 2003-07-27 20:15:38 EDT
Newer glade may well fix this as I don't think it uses gnome-common anymore.

Comment 4 Matthias Clasen 2004-05-13 13:05:51 EDT
Works fine with glade2-2.5.0 in FC2.